Bug 1872621 - [RFE] Ship systemd units for auto-renewal
Summary: [RFE] Ship systemd units for auto-renewal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dehydrated
Version: rawhide
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-26 08:34 UTC by Christopher Engelhard
Modified: 2021-06-09 03:06 UTC (History)
2 users (show)

Fixed In Version: dehydrated-0.7.0-2.fc33 dehydrated-0.7.0-2.fc34
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-09 02:44:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Christopher Engelhard 2020-08-26 08:34:06 UTC
Dehydrated already includes a cronjob for auto-renewal, it would be nice if it also included a systemd service/timer for systems that don't use cron.

To minimize potentially unneeded dependencies, one could think about splitting these of into subpackages -cron, -systemd-timer or similar.

If you're interested, I can create a PR for this, as I've set up dehydrated with systemd timers on my systems anyway.

Comment 1 Fedora Admin user for bugzilla script actions 2021-04-26 12:12:11 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 2 Fedora Update System 2021-06-01 17:39:25 UTC
FEDORA-2021-be932aef6b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-be932aef6b

Comment 3 Fedora Update System 2021-06-01 17:41:09 UTC
FEDORA-2021-c12a79e126 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c12a79e126

Comment 4 Fedora Update System 2021-06-02 01:35:43 UTC
FEDORA-2021-c12a79e126 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c12a79e126`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c12a79e126

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-06-02 01:41:39 UTC
FEDORA-2021-be932aef6b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-be932aef6b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-be932aef6b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-06-09 02:44:32 UTC
FEDORA-2021-c12a79e126 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-06-09 03:06:27 UTC
FEDORA-2021-be932aef6b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.